unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
    TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    TabSheet2: TTabSheet;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    TabSheet3: TTabSheet;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    TabSheet4: TTabSheet;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label25: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    TabSheet5: TTabSheet;
    Label26: TLabel;
    Memo1: TMemo;
    TabSheet6: TTabSheet;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    TabSheet7: TTabSheet;
    Label31: TLabel;
    Label32: TLabel;
    procedure TabSheet1Show(Sender: TObject);
    procedure TabSheet2Show(Sender: TObject);
    procedure TabSheet3Show(Sender: TObject);
    procedure TabSheet4Show(Sender: TObject);
    procedure TabSheet5Show(Sender: TObject);
    procedure TabSheet6Show(Sender: TObject);
    procedure TabSheet7Show(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation 

uses SysInfo;

{$R *.dfm}

procedure TForm1.TabSheet1Show(Sender: TObject);
begin
Label1.Caption:='Memory Usage: '+IntToStr(GetMemUse)+' %';
Label2.Caption:='RAM: '+IntToStr(GetRAM)+' bytes';
Label3.Caption:='Free RAM: '+IntToStr(GetFreeRAM)+' bytes';
Label4.Caption:='Page: '+IntToStr(GetPage)+' bytes';
Label5.Caption:='Free Page: '+IntToStr(GetFreePage)+' bytes';
Label6.Caption:='Virtual: '+IntToStr(GetVirtual)+' bytes';
Label7.Caption:='Free Virtual: '+IntToStr(GetFreeVirtual)+' bytes';
end;

procedure TForm1.TabSheet2Show(Sender: TObject);
var
MajVer:Byte;
MinVer:Byte;
BuildNo: Word;
Plat: String;
begin
Plat:= GetPlatform;
GetOS(MajVer, MinVer, BuildNo);
Label8.Caption:='Build OS: '+IntToStr(BuildNo);
Label9.Caption:=GetOSBrief;
Label10.Caption:='Platform: '+Plat;
end;

procedure TForm1.TabSheet3Show(Sender: TObject);
begin
Label11.Caption:='Win Dir: '+GetWindowsDir;
Label12.Caption:='Sys Dir: '+GetSystemDir;
Label13.Caption:='Current Dir: '+GetCurrentDir;
end;

procedure TForm1.TabSheet4Show(Sender: TObject);
begin
Label14.Caption:='Processor Level: '+GetProcessorLevel;
Label15.Caption:='CPU: '+FloatToStr(GetCPUSpeed)+' MHz';
Label16.Caption:='Drive A: '+GetDrive('A:');
Label17.Caption:='Drive B: '+GetDrive('B:');
Label18.Caption:='Drive C: '+GetDrive('C:');
Label19.Caption:='Drive D: '+GetDrive('D:');
Label20.Caption:='Drive E: '+GetDrive('E:');
Label21.Caption:='Drive F: '+GetDrive('F:');
Label22.Caption:='Drive G: '+GetDrive('G:');
Label25.Caption:='Computer Name: '+GetCompName;
Label23.Caption:='KeyBoard Language: '+GetKeyBoardLanguage;
Label24.Caption:='Video Card: '+GetVideoCard;

end;

procedure TForm1.TabSheet5Show(Sender: TObject);
var
Proc: TProcArray;
k,I: Integer;
begin
If GetPlatform = 'WinNT' then k:=GetProcessesWinNT(Proc) else
If GetPlatform = 'Win95' then k:=GetProcessesWin95(Proc) else
exit;
Label26.Caption:='Processes run: '+IntToStr(k);
Memo1.Clear;
For I:=0 to K-1 do Memo1.Lines.Add(Proc[I]);
end;

procedure TForm1.TabSheet6Show(Sender: TObject);
var
RegOwner,RegOrg: String;
begin
Label27.Caption:='User Name: '+GetUser;
GetRegInfo(RegOwner,RegOrg);
Label28.Caption:='Registered Owner: '+RegOwner;
Label29.Caption:='Registered Organization: '+RegOrg;
Label30.Caption:='OS: '+GetOS_2;
end;

procedure TForm1.TabSheet7Show(Sender: TObject);
begin
Label31.Caption:='Current drive size: '+GetDriveSize(0);
Label32.Caption:='Drive C: size: '+GetDriveSize(3);
end;

end.
